Bug 99283 - [PATCH] print/foo2zjs: update to current version (and fix fetch)
Summary: [PATCH] print/foo2zjs: update to current version (and fix fetch)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-22 00:30 UTC by Ion-Mihai "IOnut" Tetcu
Modified: 2006-06-23 08:43 UTC (History)
0 users

See Also:


Attachments
foo2zjs.diff (1.96 KB, patch)
2006-06-22 00:30 UTC, Ion-Mihai "IOnut" Tetcu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-22 00:30:18 UTC

Tested by:	Costi Ciudatu <ccciudatu @ gmail.com>
Comment 1 Edwin Groothuis freebsd_committer 2006-06-22 00:30:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

Submitter has GNATS access
Comment 2 Edwin Groothuis freebsd_committer 2006-06-22 00:30:55 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 Jose Alonso Cardenas Marquez 2006-06-22 15:49:18 UTC
On Wed, 21 Jun 2006 23:30:50 UT
Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Maintainer of print/foo2zjs,
> 
> Please note that PR ports/99283 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/99283
> 
> -- 
> Edwin Groothuis
> edwin@FreeBSD.org
> 

This patch doesn't apply. patch-icc2ps_lcms.h was removed because these changes are present in new foo2zjs release.

Please, could you apply this new patch?

--- foo2zjs-20060622.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/print/foo2zjs/Makefile /usr/ports/print/foo2zjs-new/Makefile
--- /usr/ports/print/foo2zjs/Makefile	Fri Jun  9 16:27:15 2006
+++ /usr/ports/print/foo2zjs-new/Makefile	Wed Jun 21 21:41:02 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	foo2zjs
-PORTVERSION=	20060607
+PORTVERSION=	20060622
 CATEGORIES=	print
 MASTER_SITES=	http://foo2zjs.rkkda.com/
 DISTNAME=	${PORTNAME}
diff -ruN --exclude=CVS /usr/ports/print/foo2zjs/distinfo /usr/ports/print/foo2zjs-new/distinfo
--- /usr/ports/print/foo2zjs/distinfo	Fri Jun  9 16:27:15 2006
+++ /usr/ports/print/foo2zjs-new/distinfo	Wed Jun 21 21:41:18 2006
@@ -1,3 +1,3 @@
-MD5 (foo2zjs.tar.gz) = 42eafbaaf8224fcf2c418bd62bc1ae14
-SHA256 (foo2zjs.tar.gz) = 5f292d3a7cd87afd2a764cc42815bfe88ef1ebd8d153ef2756edc982ab965d80
-SIZE (foo2zjs.tar.gz) = 917862
+MD5 (foo2zjs.tar.gz) = 44674c6a42ce956f9e3c54592c763a6e
+SHA256 (foo2zjs.tar.gz) = 18f74850b72185a00115f2e19decc75bdce6e6f8156a37428ed57dd40fd751e6
+SIZE (foo2zjs.tar.gz) = 918090
diff -ruN --exclude=CVS /usr/ports/print/foo2zjs/files/patch-icc2ps_lcms.h /usr/ports/print/foo2zjs-new/files/patch-icc2ps_lcms.h
--- /usr/ports/print/foo2zjs/files/patch-icc2ps_lcms.h	Mon Jun  5 08:01:46 2006
+++ /usr/ports/print/foo2zjs-new/files/patch-icc2ps_lcms.h	Wed Dec 31 19:00:00 1969
@@ -1,14 +0,0 @@
---- icc2ps/lcms.h	Sun Jun  4 14:21:49 2006
-+++ icc2ps/lcms.h	Sun Jun  4 14:22:05 2006
-@@ -133,9 +133,8 @@
- 
- #if defined(__OpenBSD__) || defined(__NetBSD__) || defined(__FreeBSD__)
- #  include <sys/types.h>
--#  define USE_INT64           1
--#  define LCMSSLONGLONG       int_64_t
--#  define LCMSULONGLONG       u_int64_t
-+#  define LCMSSLONGLONG       int64_t
-+#  define LCMSULONGLONG       uint64_t
- #endif
- 
- #ifdef USE_INT64
--- foo2zjs-20060622.patch ends here ---

Greetings
ACM
-- 
Grupo de Usuarios *BSD Peru - BSDPeru
http://www.bsd.org.pe
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-23 08:43:34 UTC
State Changed
From-To: feedback->closed

commited